%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-uglify-to-browserify
Version:    1.0.2
Release:    %mkrel 8
Summary:    A transform to make UglifyJS work in browserify
License:    MIT
Group:      System/Servers
URL:        https://github.com/ForbesLindesay/uglify-to-browserify
Source0:    https://registry.npmjs.org/uglify-to-browserify/-/uglify-to-browserify-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(source-map)
BuildRequires:  uglify-js
%endif

%description
%{summary}.


%prep
%setup -q -n package
for i in LICENSE README.md; do
    sed -i -e 's/\r$//' ${i}
done


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/uglify-to-browserify
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/uglify-to-browserify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/index.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/uglify-to-browserify




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.2-8.mga9
+ Revision: 1816981
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-7.mga8
+ Revision: 1492649
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-6.mga7
+ Revision: 1265357
- Mageia 7 Mass Rebuild

* Wed Aug 03 2016 daviddavid <daviddavid> 1.0.2-5.mga6
+ Revision: 1044332
- sync with fedora24 to fix tests failure
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- reenable testsuite

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 748927
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 philippem <philippem> 1.0.2-3.mga5
+ Revision: 737556
- remove ExclusiveArch
+ tv <tv>
- bump release
- imported package nodejs-uglify-to-browserify


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 1.0.2-1.mga5
- import from FC

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-2
- fix wrong-file-end-of-line-encoding

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-1
- initial package
